libetonyek::IWORKFoElement Class Reference documentation

libetonyek::IWORKFoElement Class Reference

class to parse the sf:fo element, ie. formula element More...

`#include <IWORKFormulaElement.h>`

Inheritance diagram for libetonyek::IWORKFoElement:

## Public Member Functions
| IWORKFoElement (IWORKXMLParserState &state)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextEmpty, IWORKXMLParserState >
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
Public Member Functions inherited from libetonyek::IWORKXMLContext
virtual | ~IWORKXMLContext ()=0
virtual void | CDATA (const char *value)
| Process CDATA content of an element.

## Private Member Functions
void | attribute (int name, const char *value) override
| Process an attribute.
IWORKXMLContextPtr_t | element (int name) override
| Create a context for parsing a child element.
void | endOfElement () override
| Signalize the end of an element.
const boost::optional< ID_t > & | getId () const

## Private Attributes
boost::optional< ID_t > | m_id
boost::optional< std::string > | m_formula
boost::optional< unsigned > | m_hc

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextEmpty, IWORKXMLParserState >
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextEmpty
| IWORKXMLContextEmpty (IWORKXMLParserState &)
void | attribute (int name, const char *value) override
| Process an attribute.
IWORKXMLContextPtr_t | element (int token) override
| Create a context for parsing a child element.
void | text (const char *value) override
| Process textual content of an element.
const boost::optional< ID_t > & | getId () const
void | setId (const char *value)
const boost::optional< ID_t > & | getRef () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextMinimal
| IWORKXMLContextMinimal ()
void | startOfElement () override
| Signalize the start of an element.
void | endOfElement () override
| Signalize the end of an element.
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextEmpty, IWORKXMLParserState >
IWORKXMLParserState & | m_state

## Detailed Description

class to parse the sf:fo element, ie. formula element

## Constructor & Destructor Documentation

## ◆ IWORKFoElement()

libetonyek::IWORKFoElement::IWORKFoElement | ( | IWORKXMLParserState & | state | ) |
| explicit

Referenced by IWORKFoElement().

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKFoElement::attribute | ( | int | name,
|  | const char * | value )
| overrideprivatevirtual

Process an attribute.

Attributes are fed to the current element's context one by one.

Implements libetonyek::IWORKXMLContext.

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKFoElement::element | ( | int | name | ) |
| overrideprivatevirtual

Create a context for parsing a child element.

Returns
  A new context or an empty pointer if the child element cannot be handled.

Implements libetonyek::IWORKXMLContext.

## ◆ endOfElement()

void libetonyek::IWORKFoElement::endOfElement | ( |  | ) |
| overrideprivatevirtual

Signalize the end of an element.

Implements libetonyek::IWORKXMLContext.

## ◆ getId()

const boost::optional< ID_t > & libetonyek::IWORKFoElement::getId | ( |  | ) | const
| private

Referenced by endOfElement().

## Member Data Documentation

## ◆ m_formula

boost::optional<std::string> libetonyek::IWORKFoElement::m_formula
| private

Referenced by attribute(), endOfElement(), and IWORKFoElement().

## ◆ m_hc

boost::optional<unsigned> libetonyek::IWORKFoElement::m_hc
| private

Referenced by attribute(), endOfElement(), and IWORKFoElement().

## ◆ m_id

boost::optional<ID_t> libetonyek::IWORKFoElement::m_id
| private

Referenced by attribute(), getId(), and IWORKFoElement().

The documentation for this class was generated from the following files:

- IWORKFormulaElement.h
- IWORKFormulaElement.cpp